﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;

namespace XamDataGridDynamicColumns
{
    public class MultiConv : IMultiValueConverter
    {
        public object Convert(object[] value, Type targetType, object parameter, CultureInfo culture)
        {
            var period1 = value[0];
            var period2 = value[1];
            string f ="";
            int result1, result2;
            if (value[2] != null)
            {
                  f = value[2].ToString();
            }
           
            Int32.TryParse(period1.ToString(), out result1);
            Int32.TryParse(period2.ToString(), out result2);

            if (result1  > result2 && f == "Period 1" )
            {
                return Brushes.Green;
            }
            if (result1 < result2 && f == "Period 1" )
            {
               return Brushes.Red;
            }
            if (result1 == result2 && f == "Period 1" )
            {
                return Brushes.Blue;
            }
            return  Binding.DoNothing;
        }

        public object[] ConvertBack(object value, Type[] targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
